com.foundationdb.sql.jdbc.fastpath

## Class FastpathArg

- java.lang.Object
- - com.foundationdb.sql.jdbc.fastpath.FastpathArg

    public class FastpathArg
    extends java.lang.Object

Each fastpath call requires an array of arguments, the number and type dependent on the function being called.

### Constructor Summary

Constructors
Constructor and Description
`FastpathArg(byte[] bytes)` Constructs an argument that consists of an array of bytes
`FastpathArg(byte[] buf, int off, int len)` Constructs an argument that consists of part of a byte array
`FastpathArg(int value)` Constructs an argument that consists of an integer value
`FastpathArg(java.lang.String s)` Constructs an argument that consists of a String.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastpathArg

    public FastpathArg(int value)

Constructs an argument that consists of an integer value

Parameters:
  `value` - int value to set

#### FastpathArg

    public FastpathArg(byte[] bytes)

Constructs an argument that consists of an array of bytes

Parameters:
  `bytes` - array to store

#### FastpathArg

    public FastpathArg(byte[] buf,
               int off,
               int len)

Constructs an argument that consists of part of a byte array

Parameters:
  `buf` - source array
  `off` - offset within array
  `len` - length of data to include

#### FastpathArg

    public FastpathArg(java.lang.String s)

Constructs an argument that consists of a String.

Parameters:
  `s` - String to store